module Olympic
  module Generators
    class InstallGenerator < ::Rails::Generators::Base
      include Rails::Generators::Migration

      desc "Create a migration to add olympic tables."
      source_root File.expand_path("../templates", __FILE__)

      # Implement the required interface for Rails::Generators::Migration.
      # This is _literally_ documented _nowhere_.  Wtf.
      def self.next_migration_number(dirname)
        next_migration_number = current_migration_number(dirname) + 1
        ActiveRecord::Migration.next_migration_number(next_migration_number)
      end

      def generate_migration
        migration_template "create_olympic_tables.rb", "db/migrate/create_olympic_tables.rb"
      end

    end
  end
end
