require 'forwardable'

module Olympic
  class Settings
    module ClassMethods

      extend Forwardable

      def_delegators :settings, :[], :[]=, :class_for, :fetch,
        :rating_system, :method_missing
      def_delegator :settings, :build, :configure

      def settings
        @_settings ||= Settings.new
      end

    end
  end
end
