module Olympic
  module Source

    extend ActiveSupport::Concern

    included do
      belongs_to :match,
        class_name: Olympic::Settings[:match_class],
        foreign_key: Olympic::Settings[:source_match_key],
        primary_key: Olympic::Settings[:match_primary_key]
      belongs_to :source,
        polymorphic: true,
        foreign_type: Olympic::Settings[:source_source_type],
        foreign_key: Olympic::Settings[:source_source_key],
        primary_key: Olympic::Settings[:source_primary_key]
    end

  end
end
